Bug 499475 - Review Request: python-morbid - A lightweight message queue for bundled deployment
Summary: Review Request: python-morbid - A lightweight message queue for bundled deplo...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 499476
TreeView+ depends on / blocked
 
Reported: 2009-05-06 19:18 UTC by Tom "spot" Callaway
Modified: 2009-05-19 02:06 UTC (History)
3 users (show)

Fixed In Version: 0.8.6.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 01:58:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2009-05-06 19:18:24 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/python-morbid.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/python-morbid-0.8.6.1-1.fc11.src.rpm
Description: 
Morbid is a Twisted-based publish/subscribe messaging server that uses the
STOMP protocol. It supports publish/subscribe topics, and runs as a single
node. It is designed specifically for usecases where a clustered message
broker is not necessary.

Koji Scratch Build (F12): http://koji.fedoraproject.org/koji/taskinfo?taskID=1339067

Comment 1 Parag AN(पराग) 2009-05-07 08:30:40 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1339067
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
1099adca419e0347d32198557854a2c1  morbid-0.8.6.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.

Comment 2 Parag AN(पराग) 2009-05-13 06:30:04 UTC
you can request CVS

Comment 3 Tom "spot" Callaway 2009-05-15 17:36:10 UTC
New Package CVS Request
=======================
Package Name: python-morbid
Short Description: A lightweight message queue for bundled deployment
Owners: spot
Branches: EL-4 EL-5 F-10 F-11 devel
InitialCC: 

... and it's done.

Comment 4 Fedora Update System 2009-05-15 18:17:35 UTC
python-morbid-0.8.6.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-morbid-0.8.6.1-1.fc10

Comment 5 Fedora Update System 2009-05-15 18:17:40 UTC
python-morbid-0.8.6.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-morbid-0.8.6.1-1.fc11

Comment 6 Fedora Update System 2009-05-19 01:58:45 UTC
python-morbid-0.8.6.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-05-19 02:06:24 UTC
python-morbid-0.8.6.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.